Last Comment Bug 338788 - fetching blocked by cross-domain checks should trigger xforms-link-error
: fetching blocked by cross-domain checks should trigger xforms-link-error
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/
Depends on: 338517
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 01:17 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (2.43 KB, patch)
2006-05-22 05:10 PDT, Allan Beaufour
bugs: review+
aaronr: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2006-05-22 01:17:55 PDT
As for label (bug 338517), we should also dispatch xforms-link-error for other controls failing to get data because of cross-domain checks.
Comment 1 Allan Beaufour 2006-05-22 05:10:49 PDT
Created attachment 222848 [details] [diff] [review]
Patch

Also dispatch xforms-link-error on security errors.

If I understand message correct (?), then we were missing a mStopType setting
on redirects, which I have now added.
Comment 2 Allan Beaufour 2006-05-23 01:27:43 PDT
Fixed on trunk

Note You need to log in before you can comment on or make changes to this bug.